Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.blobstore
Class BlobstoreInputStream.BlobstoreIOException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  com.google.appengine.api.blobstore.BlobstoreInputStream.BlobstoreIOException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  BlobstoreInputStream

    public static final class BlobstoreInputStream.BlobstoreIOException

extends java.io.IOException

A subclass of `IOException` that indicates that there was a problem interacting with Blobstore.

See Also:
  Serialized Form

Constructor Summary
`BlobstoreInputStream.BlobstoreIOException(java.lang.String message)` Constructs a `BlobstoreIOException` with the specified detail message.
`BlobstoreInputStream.BlobstoreIOException(java.lang.String message, java.lang.Throwable cause)` Constructs a `BlobstoreIOException` with the specified detail message and cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BlobstoreInputStream.BlobstoreIOException

    public BlobstoreInputStream.BlobstoreIOException(java.lang.String message)

  Constructs a `BlobstoreIOException` with the specified detail message.

### BlobstoreInputStream.BlobstoreIOException

    public BlobstoreInputStream.BlobstoreIOException(java.lang.String message,
                                                     java.lang.Throwable cause)

  Constructs a `BlobstoreIOException` with the specified detail message and cause.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD